Jump to content
3D Coat Forums
PolyHertz

3DS Max Applink - Complete Rewrite

Recommended Posts

I did a little more testing and it just seems really finicky. If I test using a default object like a sphere, from the splash screen > apply a Smart Material to it Export to 3ds Max 2019, it works just fine. But if I use a full character in a much larger scene, with many parts and uv maps, it appears that it imports because I see the importing process going through the various objects and maps, but nothing shows up in the viewport or outliner. So, it's just super fussy right now, and the developer of the applink isn't responding to my PM's.

Share this post


Link to post
Share on other sites

About compatibility:
All versions of the applink should work in Max 2012-2017 :) . Most of the testing was done in Max 2016, but it was also tested in Max 2012 and 2017 at various stages of development.
That said, version 4.8 of 3D-Coat and Max 2018+ are untested / not fully supported (They hadn't been released when the last version of the applink was 2 years ago).

On that note, for those that have been asking for updates; I've asked the guys at Pilgway about their thoughts on me resuming work on this applink, and am just waiting to hear back from them. They funded the last updates for it, so it's their decision what happens with it going forward. If they do approve me updating it, I think you'll really like some of the changes I have in store :)

(Edited for clarity.)

  • Like 1

Share this post


Link to post
Share on other sites
1 hour ago, PolyHertz said:

All versions of the applink support Max 2012 :)

That said, version 4.8 of 3D-Coat is not fully supported (its been 2 years since the last version of the applink was released).

 

btw,, for those that have been asking; I actually would like to release a new version, but since this project was funded by Pilgway it's up to them when/if updates gets released.

As I know Pilgway often add custom plugins in new versions as well

Edited by Talik

Share this post


Link to post
Share on other sites

3ds max 2012 coat 4.8 Applink doesn't work. In 3d Coat every 5 seconds a new window opens with import settings and 3d coat technicaly shuts down with these windows

Edited by Talik

Share this post


Link to post
Share on other sites

Sounds like an auto switch issue of some sort, as they're the only export-related functions that run on a timer. Try turning off both 'auto switch' options in the Applink window. If you aren't able to do that, go to your windows documents folder > Applink_Max3DC > AppLink_3DC_settings.ini , then open the ini file and set "Auto Switch to 3DS Max" to false , and "Auto Switch to 3D-Coat" to false. Hopefully so long as you don't turn them back on in the applink window itself the issue won't occur any more. That is a very strange issue though and I haven't heard of anyone else having it before.

  • Like 1

Share this post


Link to post
Share on other sites

Hmmm. If it's not auto-switch that's causing it my next guess would be that 3D-Coat itself is having problems deleting the import.txt file and thus every few seconds its thinking a new one exists. The solution would probably be to run 3D-Coat as admin (right click on 3D-Coat icon > Run as Administrator ).

  • Like 1

Share this post


Link to post
Share on other sites
22 minutes ago, PolyHertz said:

Hmmm. If it's not auto-switch that's causing it my next guess would be that 3D-Coat itself is having problems deleting the import.txt file and thus every few seconds its thinking a new one exists. The solution would probably be to run 3D-Coat as admin (right click on 3D-Coat icon > Run as Administrator ).

So simple?

I try not to use script again cos only a reboot helps. Will try this option run as admin.

Share this post


Link to post
Share on other sites
2 hours ago, Talik said:

Tried just now.

Still having this bug.

Importing window appears every second using script.

Max 2012 Coat 4.8

The Applink was created for a newer version of 3ds Max. 3ds 2012 is over 7yrs old. A lot has changed in the app and I am not surprised there is a problem, to be honest. Most Max plugins have long since dropped support for versions that old. Not trying to be difficult. I'm just saying it's asking a lot for support for a version that was written 5-6 versions newer.

Share this post


Link to post
Share on other sites
17 minutes ago, AbnRanger said:

The Applink was created for a newer version of 3ds Max. 3ds 2012 is over 7yrs old. A lot has changed in the app and I am not surprised there is a problem, to be honest. Most Max plugins have long since dropped support for versions that old. Not trying to be difficult. I'm just saying it's asking a lot for support for a version that was written 5-6 versions newer.

You know Applink is such a good solution to make materials. I would say that 3Dcoat makes materials not Max. And to be honest I'm in love with this relationship. So Applink is absolutely God blessed plugin for all humanity

Share this post


Link to post
Share on other sites

Hey guys just a heads up; Thanks to Pilgways support I will be releasing an update to the applink sometime soon. It will give the applink support for Max 2018-2019 and 3D-Coat 4.8 , as well as add some new material related features and a revised user interface. I'll be looking over all the issues users have reported in this thread as well as via pm or email and doing what I can to address them. Also, if anyone has material presets they'd like to see implemented in the default configuration let me know and I'll see what I can do :)

  • Like 3

Share this post


Link to post
Share on other sites

EDIT: All version 2.0 links removed due to several notable bugs. Check the first post for version 2.1 link and release notes instead.

  • Like 3

Share this post


Link to post
Share on other sites

EDIT: All version 2.0 links removed due to several notable bugs. Check the first post for version 2.1 link and release notes instead.

  • Like 1
  • Thanks 1

Share this post


Link to post
Share on other sites

Version 2.1 released! Release notes can be seen in first post. I've removed the links for version 2.0 because of bugs, and it is highly encouraged for anyone using it to download 2.1 instead.

Download v2.1 here.

  • Like 1

Share this post


Link to post
Share on other sites
On 10/26/2018 at 3:44 PM, PolyHertz said:

Check the first post for version 2.1 link and release notes instead.

 

Installation:

    1. Open the zip file and copy all the contents somewhere on your PC (like your desktop)

But where is the link for the zip file?

Also, there is only old version on the main download page. https://3dcoat.com/download/applinks/

Edited by druh0o

Share this post


Link to post
Share on other sites
11 hours ago, druh0o said:

But where is the link for the zip file?

Also, there is only old version on the main download page. https://3dcoat.com/download/applinks/

Whoops! Seems I only uploaded the mcr file, sorry about that! Updated the link in the first post to the full zip file (or just click here )

As for the one on the main page, that will be getting updated soon (I might release one more version before that happens), along with new tutorial videos showing off how all the features work (thanks go to Don for those).

Share this post


Link to post
Share on other sites
14 hours ago, Talik said:

I'm using 2012. Same bug as in early version. It imports ia mesh in 3D Coat every second

Can you make a video showing what you're doing when this error occurs?
The applink was re-written from scratch for version 2.0 , and I put some special attention into making sure it was Max 2012 compatible (though with various features disabled). So atp I need to see the issue happening before I'll be able to guess what could be the cause.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×